persistent-2.14.6.3: Type-safe, multi-backend data serialization.

Safe Haskell | Safe-Inferred
Language | Haskell2010

Database.Persist.SqlBackend.Internal.IsolationLevel

Synopsis

- data IsolationLevel
  - = ReadUncommitted
  - | ReadCommitted
  - | RepeatableRead
  - | Serializable
- makeIsolationLevelStatement :: (Monoid s, IsString s) => IsolationLevel -> s

# Documentation

data IsolationLevel #

Please refer to the documentation for the database in question for a full overview of the semantics of the varying isloation levels

Constructors

ReadUncommitted |
ReadCommitted |
RepeatableRead |
Serializable |

#### Instances

Instances details

Bounded IsolationLevel # |
Instance details Defined in Database.Persist.SqlBackend.Internal.IsolationLevel Methods minBound :: IsolationLevel # maxBound :: IsolationLevel #
Enum IsolationLevel # |

Instance details

Defined in Database.Persist.SqlBackend.Internal.IsolationLevel

Methods

succ :: IsolationLevel -> IsolationLevel #

pred :: IsolationLevel -> IsolationLevel #

toEnum :: Int -> IsolationLevel #

fromEnum :: IsolationLevel -> Int #

enumFrom :: IsolationLevel -> [IsolationLevel] #

enumFromThen :: IsolationLevel -> IsolationLevel -> [IsolationLevel] #

enumFromTo :: IsolationLevel -> IsolationLevel -> [IsolationLevel] #

enumFromThenTo :: IsolationLevel -> IsolationLevel -> IsolationLevel -> [IsolationLevel] #

Show IsolationLevel # |
Instance details Defined in Database.Persist.SqlBackend.Internal.IsolationLevel Methods showsPrec :: Int -> IsolationLevel -> ShowS # show :: IsolationLevel -> String # showList :: [IsolationLevel] -> ShowS #
Eq IsolationLevel # |
Instance details Defined in Database.Persist.SqlBackend.Internal.IsolationLevel Methods (==) :: IsolationLevel -> IsolationLevel -> Bool # (/=) :: IsolationLevel -> IsolationLevel -> Bool #
Ord IsolationLevel # |

Instance details

Defined in Database.Persist.SqlBackend.Internal.IsolationLevel

Methods

compare :: IsolationLevel -> IsolationLevel -> Ordering #

(<) :: IsolationLevel -> IsolationLevel -> Bool #

(<=) :: IsolationLevel -> IsolationLevel -> Bool #

(>) :: IsolationLevel -> IsolationLevel -> Bool #

(>=) :: IsolationLevel -> IsolationLevel -> Bool #

max :: IsolationLevel -> IsolationLevel -> IsolationLevel #

min :: IsolationLevel -> IsolationLevel -> IsolationLevel #

makeIsolationLevelStatement :: (Monoid s, IsString s) => IsolationLevel -> s #